## org.codehaus.groovy.ast
Interface Variable

Method Summary
`Expression` | `getInitialExpression()` the type of the variable
`String` | `getName()` the type of the variable
`ClassNode` | `getOriginType()` the type of the variable
`ClassNode` | `getType()` the type of the variable
`boolean` | `hasInitialExpression()` the type of the variable
`boolean` | `isClosureSharedVariable()` the type of the variable
`boolean` | `isDynamicTyped()` the type of the variable
`boolean` | `isInStaticContext()` the type of the variable
`void` | `setClosureSharedVariable(boolean inClosure)` the type of the variable

Method Detail

### getInitialExpression

    public Expression getInitialExpression()

  the type of the variable

### getName

    public String getName()

  the type of the variable

### getOriginType

    public ClassNode getOriginType()

  the type of the variable

### getType

    public ClassNode getType()

  the type of the variable

### hasInitialExpression

    public boolean hasInitialExpression()

  the type of the variable

### isClosureSharedVariable

    public boolean isClosureSharedVariable()

  the type of the variable

### isDynamicTyped

    public boolean isDynamicTyped()

  the type of the variable

### isInStaticContext

    public boolean isInStaticContext()

  the type of the variable

### setClosureSharedVariable

    public void setClosureSharedVariable(boolean inClosure)

  the type of the variable